vtc: XVtc_HoriOffsets Struct Reference

| vtc Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XVtc_HoriOffsets Struct Reference
Vtc_v7_2

This typedef contains Detector/Generator VBlank/VSync Horizontal Offset configuration information for a VTC device. More...

## Data Fields
u16 | V0BlankHoriStart
| Vertical Blank Hori Offset Start (field 0) More...
u16 | V0BlankHoriEnd
| Vertical Blank Hori Offset End (field 0) More...
u16 | V0SyncHoriStart
| Vertical Sync Hori Offset Start (field 0) More...
u16 | V0SyncHoriEnd
| Vertical Sync Hori Offset End (field 0) More...
u16 | V1BlankHoriStart
| Vertical Blank Hori Offset Start (field 1) More...
u16 | V1BlankHoriEnd
| Vertical Blank Hori Offset End (field 1) More...
u16 | V1SyncHoriStart
| Vertical Sync Hori Offset Start (field 1) More...
u16 | V1SyncHoriEnd
| Vertical Sync Hori Offset End (field 1) More...

## Detailed Description

This typedef contains Detector/Generator VBlank/VSync Horizontal Offset configuration information for a VTC device.

## Field Documentation

u16 XVtc_HoriOffsets::V0BlankHoriEnd

Vertical Blank Hori Offset End (field 0)

Referenced by XVtc_ConvTiming2Signal(), XVtc_GetDetectorHoriOffset(), XVtc_GetGeneratorHoriOffset(), XVtc_SetGenerator(), and XVtc_SetGeneratorHoriOffset().

u16 XVtc_HoriOffsets::V0BlankHoriStart

Vertical Blank Hori Offset Start (field 0)

Referenced by XVtc_ConvTiming2Signal(), XVtc_GetDetectorHoriOffset(), XVtc_GetGeneratorHoriOffset(), XVtc_SetGenerator(), and XVtc_SetGeneratorHoriOffset().

u16 XVtc_HoriOffsets::V0SyncHoriEnd

Vertical Sync Hori Offset End (field 0)

Referenced by XVtc_ConvTiming2Signal(), XVtc_GetDetectorHoriOffset(), XVtc_GetGeneratorHoriOffset(), XVtc_SetGenerator(), and XVtc_SetGeneratorHoriOffset().

u16 XVtc_HoriOffsets::V0SyncHoriStart

Vertical Sync Hori Offset Start (field 0)

Referenced by XVtc_ConvTiming2Signal(), XVtc_GetDetectorHoriOffset(), XVtc_GetGeneratorHoriOffset(), XVtc_SetGenerator(), and XVtc_SetGeneratorHoriOffset().

u16 XVtc_HoriOffsets::V1BlankHoriEnd

Vertical Blank Hori Offset End (field 1)

Referenced by XVtc_ConvTiming2Signal(), XVtc_GetDetectorHoriOffset(), XVtc_GetGeneratorHoriOffset(), XVtc_SetGenerator(), and XVtc_SetGeneratorHoriOffset().

u16 XVtc_HoriOffsets::V1BlankHoriStart

Vertical Blank Hori Offset Start (field 1)

Referenced by XVtc_ConvTiming2Signal(), XVtc_GetDetectorHoriOffset(), XVtc_GetGeneratorHoriOffset(), XVtc_SetGenerator(), and XVtc_SetGeneratorHoriOffset().

u16 XVtc_HoriOffsets::V1SyncHoriEnd

Vertical Sync Hori Offset End (field 1)

Referenced by XVtc_ConvTiming2Signal(), XVtc_GetDetectorHoriOffset(), XVtc_GetGeneratorHoriOffset(), XVtc_SetGenerator(), and XVtc_SetGeneratorHoriOffset().

u16 XVtc_HoriOffsets::V1SyncHoriStart

Vertical Sync Hori Offset Start (field 1)

Referenced by XVtc_ConvTiming2Signal(), XVtc_GetDetectorHoriOffset(), XVtc_GetGeneratorHoriOffset(), XVtc_SetGenerator(), and XVtc_SetGeneratorHoriOffset().